com.hazelcast.config

## Enum NativeMemoryConfig.MemoryAllocatorType

- java.lang.Object
- - java.lang.Enum<NativeMemoryConfig.MemoryAllocatorType>
  - - com.hazelcast.config.NativeMemoryConfig.MemoryAllocatorType

- All Implemented Interfaces:
    Serializable, Comparable<NativeMemoryConfig.MemoryAllocatorType>
  Enclosing class:
    NativeMemoryConfig

      public static enum NativeMemoryConfig.MemoryAllocatorType
      extends Enum<NativeMemoryConfig.MemoryAllocatorType>

  Type of memory allocator:
  - STANDARD: allocate/free memory using default OS memory manager
  - POOLED: manage memory blocks in pool

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `POOLED` POOLED memory allocator: manage memory blocks in pool
    `STANDARD` STANDARD memory allocator: allocate/free memory using default OS memory manager

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NativeMemoryConfig.MemoryAllocatorType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NativeMemoryConfig.MemoryAllocatorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STANDARD

          public static final NativeMemoryConfig.MemoryAllocatorType STANDARD

      STANDARD memory allocator: allocate/free memory using default OS memory manager

    - #### POOLED

          public static final NativeMemoryConfig.MemoryAllocatorType POOLED

      POOLED memory allocator: manage memory blocks in pool

  - ### Method Detail

    - #### values

          public static NativeMemoryConfig.MemoryAllocatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NativeMemoryConfig.MemoryAllocatorType c : NativeMemoryConfig.MemoryAllocatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NativeMemoryConfig.MemoryAllocatorType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All rights reserved.